| silent

## Function

Silent mutation restriction enzyme scan

## Description

silent does a scan of a nucleic acid sequence for silent mutation restriction enzyme sites.

silent finds positions in a sequence where a point mutation could be made to introduce a specified restriction enzyme recognition site without changing the translation.

Several restriction enzyme can be specified.

## Usage

Here is a sample session with silent

    % silent
    Silent mutation restriction enzyme scan
    Input sequence: tembl:hsfau
    Comma separated enzyme list [all]: ecori,hindiii
    Output report [hsfau.silent]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Sequence USA
       -enzymes            string     Comma separated enzyme list
      [-outfile]           report     Output report file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -sshow              boolean    Display untranslated sequence
       -tshow              boolean    Display translated sequence
       -allmut             boolean    Display all mutations

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1             integer    Start of the sequence to be used
       -send1               integer    End of the sequence to be used
       -sreverse1           boolean    Reverse (if DNA)
       -sask1               boolean    Ask for begin/end/reverse
       -snucleotide1        boolean    Sequence is nucleotide
       -sprotein1           boolean    Sequence is protein
       -slower1             boolean    Make lower case
       -supper1             boolean    Make upper case
       -sformat1            string     Input sequence format
       -sdbname1            string     Database name
       -sid1                string     Entryname
       -ufo1                string     UFO features
       -fformat1            string     Features format
       -fopenfile1          string     Features file name

       "-outfile" associated qualifiers
       -rformat2            string     Report format
       -rname2              string     Base file name
       -rextension2         string     File name extension
       -rdirectory2         string     Output directory
       -raccshow2           boolean    Show accession number in the report
       -rdesshow2           boolean    Show description in the report
       -rscoreshow2         boolean    Show the score in the report
       -rusashow2           boolean    Show the full USA in the report

       General qualifiers:
       -auto                boolean    Turn off prompts
       -stdout              boolean    Write standard output
       -filter              boolean    Read standard input, write standard output
       -options             boolean    Prompt for standard and additional values
       -debug               boolean    Write debug output to program.dbg
       -verbose             boolean    Report some/full command line options
       -help                boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning             boolean    Report warnings
       -error               boolean    Report errors
       -fatal               boolean    Report fatal errors
       -die                 boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-enzymes | Comma separated enzyme list | Any string is accepted | all
[-outfile] (Parameter 2) | Output report file name | Report output file |
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-sshow | Display untranslated sequence | Boolean value Yes/No | No
-tshow | Display translated sequence | Boolean value Yes/No | No
-allmut | Display all mutations | Boolean value Yes/No | No

## Input file format

silent reads a nucleic acid sequence USA.

### Input files for usage example

'tembl:hsfau' is a sequence entry in the example nucleic acid database 'tembl'

### Database entry: tembl:hsfau

    ID   HSFAU      standard; RNA; HUM; 518 BP.
    XX
    AC   X65923;
    XX
    SV   X65923.1
    XX
    DT   13-MAY-1992 (Rel. 31, Created)
    DT   23-SEP-1993 (Rel. 37, Last updated, Version 10)
    XX
    DE   H.sapiens fau mRNA
    XX
    KW   fau gene.
    XX
    OS   Homo sapiens (human)
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi; Mammalia;
    OC   Eutheria; Primates; Catarrhini; Hominidae; Homo.
    XX
    RN   [1]
    RP   1-518
    RA   Michiels L.M.R.;
    RT   ;
    RL   Submitted (29-APR-1992) to the EMBL/GenBank/DDBJ databases.
    RL   L.M.R. Michiels, University of Antwerp, Dept of Biochemistry,
    RL   Universiteisplein 1, 2610 Wilrijk, BELGIUM
    XX
    RN   [2]
    RP   1-518
    RX   MEDLINE; 93368957.
    RA   Michiels L., Van der Rauwelaert E., Van Hasselt F., Kas K., Merregaert J.;
    RT   " fau cDNA encodes a ubiquitin-like-S30 fusion protein and is expressed as
    RT   an antisense sequences in the Finkel-Biskis-Reilly murine sarcoma virus";
    RL   Oncogene 8:2537-2546(1993).
    XX
    DR   SWISS-PROT; P35544; UBIM_HUMAN.
    DR   SWISS-PROT; Q05472; RS30_HUMAN.
    XX
    FH   Key             Location/Qualifiers
    FH
    FT   source          1..518
    FT                   /chromosome="11q"
    FT                   /db_xref="taxon:9606"
    FT                   /organism="Homo sapiens"
    FT                   /tissue_type="placenta"
    FT                   /clone_lib="cDNA"
    FT                   /clone="pUIA 631"
    FT                   /map="13"
    FT   misc_feature    57..278
    FT                   /note="ubiquitin like part"
    FT   CDS             57..458
    FT                   /db_xref="SWISS-PROT:P35544"
    FT                   /db_xref="SWISS-PROT:Q05472"
    FT                   /gene="fau"
    FT                   /protein_id="CAA46716.1"
    FT                   /translation="MQLFVRAQELHTFEVTGQETVAQIKAHVASLEGIAPEDQVVLLAG
    FT                   APLEDEATLGQCGVEALTTLEVAGRMLGGKVHGSLARAGKVRGQTPKVAKQEKKKKKTG
    FT                   RAKRRMQYNRRFVNVVPTFGKKKGPNANS"
    FT   misc_feature    98..102
    FT                   /note="nucleolar localization signal"
    FT   misc_feature    279..458
    FT                   /note="S30 part"
    FT   polyA_signal    484..489
    FT   polyA_site      509
    XX
    SQ   Sequence 518 BP; 125 A; 139 C; 148 G; 106 T; 0 other;
         ttcctctttc tcgactccat cttcgcggta gctgggaccg ccgttcagtc gccaatatgc        60
         agctctttgt ccgcgcccag gagctacaca ccttcgaggt gaccggccag gaaacggtcg       120
         cccagatcaa ggctcatgta gcctcactgg agggcattgc cccggaagat caagtcgtgc       180
         tcctggcagg cgcgcccctg gaggatgagg ccactctggg ccagtgcggg gtggaggccc       240
         tgactaccct ggaagtagca ggccgcatgc ttggaggtaa agttcatggt tccctggccc       300
         gtgctggaaa agtgagaggt cagactccta aggtggccaa acaggagaag aagaagaaga       360
         agacaggtcg ggctaagcgg cggatgcagt acaaccggcg ctttgtcaac gttgtgccca       420
         cctttggcaa gaagaagggc cccaatgcca actcttaagt cttttgtaat tctggctttc       480
         tctaataaaa aagccactta gttcagtcaa aaaaaaaa                               518
    //

## Output file format

### Output files for usage example

### File: hsfau.silent

    ########################################
    # Program: silent
    # Rundate: Tue Apr 06 14:34:19 2004
    # Report_format: table
    # Report_file: hsfau.silent
    ########################################

    #=======================================
    #
    # Sequence: HSFAU     from: 1   to: 518
    # HitCount: 1
    #
    # KEY:
    # EnzymeName: Enzyme name
    # RS-Pattern: Restriction enzyme recognition site pattern
    # Base-Posn: Position of base to be mutated
    # AAs: Amino acid. Original sequence(.)After mutation
    # Silent: Yes for unchanged amino acid
    # Mutation: The base mutation to perform
    #
    # Creating silent and non-silent mutations
    #
    #=======================================

      Start     End Dir    EnzymeName RS-Pattern Base-Posn    AAs Silent Mutation
        272     267 Rev    HindIII    AAGCTT           268    A.A    Yes     A->T

    #---------------------------------------
    #---------------------------------------

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
recite | Find changes to an enzyme site that introduce new enzyme sites
recoder | Remove restriction sites but maintain the same translation
redata | Search REBASE for enzyme name, references, suppliers etc
remap | Display a sequence with restriction cut sites, translation etc
restover | Finds restriction enzymes that produce a specific overhang
restrict | Finds restriction enzyme cleavage sites
showseq | Display a sequence with features, translation etc

silent does the opposite to recode. silent finds sites where a restriction enzyme site can be introduced without changing the translation in frame 1 of the sequence. recode finds sites where a restriction enzyme site can be removed without changing the translation in frame 1 of the sequence.

## Author(s)

Alan Bleasby (ableasby © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Written (Aug 2000) - Alan Bleasby.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments